SQL-инъекция в PunBB Private messaging

Дата публикации:
28.07.2010
Дата изменения:
28.07.2010
Всего просмотров:
2008
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:P/RL:O/RC:C) = Base:6.4/Temporal:5
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
Private messaging 1.x (расширеие к PunBB)
Уязвимые версии: Private messaging (расширение к PunBB) 1.2.6, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "message_id" в сценарии misc.php, когда параметр "section" равен "pun_pm" и параметр "pmpage" равен "write". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: punbb.informer.com/wiki/punbb13/extensions/pun_pm

Решение: Установите последнюю версию 1.2.6.1 с сайта производителя.

Ссылки: PunBB 1.3.x Pun_PM 1.2.6 Blind SQL Injection Explot
http://punbb.informer.com/trac/changeset/1275/additions/punbb-1.3/extensions/pun_pm/functions.php

или введите имя

CAPTCHA